EncryptedChecksummedDataInput (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.hints

## Class EncryptedChecksummedDataInput

- java.lang.Object
- - java.io.InputStream
  - - org.apache.cassandra.io.util.RebufferingInputStream
    - - org.apache.cassandra.hints.ChecksummedDataInput
      - - org.apache.cassandra.hints.EncryptedChecksummedDataInput

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.lang.AutoCloseable, DataInputPlus

      public class EncryptedChecksummedDataInput
      extends ChecksummedDataInput

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.io.util.DataInputPlus

      `DataInputPlus.DataInputStreamPlus`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.hints.ChecksummedDataInput

      `bufferOffset, channel`

    - ### Fields inherited from class org.apache.cassandra.io.util.RebufferingInputStream

      `buffer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EncryptedChecksummedDataInput(ChannelProxy channel, javax.crypto.Cipher cipher, ICompressor compressor, long filePosition)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputPosition` | `getSeekPosition()` Return a seekable representation of the current position.
    `long` | `getSourcePosition()` Returns the position in the source file, which is different for getPosition() for compressed/encrypted files and may be imprecise.
    `boolean` | `isEOF()` Since an entire block of compressed data is read off of disk, not just a hint at a time, we don't report EOF until the decompressed data has also been read completely
    `protected void` | `readBuffer()`
    `void` | `seek(InputPosition p)`
    `static ChecksummedDataInput` | `upgradeInput(ChecksummedDataInput input, javax.crypto.Cipher cipher, ICompressor compressor)`

    - ### Methods inherited from class org.apache.cassandra.hints.ChecksummedDataInput

      `bytesPastLimit, checkCrc, checkLimit, close, getChannel, getPath, getPosition, limit, open, read, readFully, reBuffer, resetCrc, resetLimit, tryUncacheRead`

    - ### Methods inherited from class org.apache.cassandra.io.util.RebufferingInputStream

      `read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readInt, readLine, readLong, readPrimitiveSlowly, readShort, readUnsignedByte, readUnsignedShort, readUnsignedVInt, readUTF, readVInt, skipBytes`

    - ### Methods inherited from class java.io.InputStream

      `available, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.io.util.DataInputPlus

      `skipBytesFully`

- - ### Constructor Detail

    - #### EncryptedChecksummedDataInput

          protected EncryptedChecksummedDataInput(ChannelProxy channel,
                                                  javax.crypto.Cipher cipher,
                                                  ICompressor compressor,
                                                  long filePosition)

  - ### Method Detail

    - #### isEOF

          public boolean isEOF()

      Since an entire block of compressed data is read off of disk, not just a hint at a time, we don't report EOF until the decompressed data has also been read completely
      Overrides:
        `isEOF` in class `ChecksummedDataInput`

    - #### getSourcePosition

          public long getSourcePosition()

      Description copied from class: `ChecksummedDataInput`
      Returns the position in the source file, which is different for getPosition() for compressed/encrypted files and may be imprecise.
      Overrides:
        `getSourcePosition` in class `ChecksummedDataInput`

    - #### getSeekPosition

          public InputPosition getSeekPosition()

      Description copied from class: `ChecksummedDataInput`
      Return a seekable representation of the current position. For compressed files this is chunk position in file and offset within chunk.
      Overrides:
        `getSeekPosition` in class `ChecksummedDataInput`

    - #### seek

          public void seek(InputPosition p)

      Overrides:
        `seek` in class `ChecksummedDataInput`

    - #### readBuffer

          protected void readBuffer()

      Overrides:
        `readBuffer` in class `ChecksummedDataInput`

    - #### upgradeInput

          public static ChecksummedDataInput upgradeInput(ChecksummedDataInput input,
                                                          javax.crypto.Cipher cipher,
                                                          ICompressor compressor)

Copyright © 2018 The Apache Software Foundation